PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Friends | List of all members
PwxString Class Reference

This class defines a class to bridge WX Widgets strings to PTLib strings. More...

`#include <wxstring.h>`

Inherits wxString.

## Public Member Functions
| PwxString ()
| PwxString (const wxString &str)
| PwxString (const char *str)
| PwxString (const PString &str)
| PwxString (const PFilePath &fn)
PwxString & | operator= (const char *str)
PwxString & | operator= (const wxString &str)
PwxString & | operator= (const PString &str)
bool | operator== (const char *other) const
bool | operator== (const wxString &other) const
bool | operator== (const PString &other) const
bool | operator== (const PwxString &other) const
bool | operator!= (const char *other) const
bool | operator!= (const wxString &other) const
bool | operator!= (const PString &other) const
bool | operator!= (const PwxString &other) const
PString | p_str () const
| operator PString () const
| operator PFilePath () const
PwxString & | operator<< (const char *str)
PwxString & | operator<< (const PString &str)

## Friends
ostream & | operator<< (ostream &stream, const PwxString &string)
wostream & | operator<< (wostream &stream, const PwxString &string)

## Detailed Description

This class defines a class to bridge WX Widgets strings to PTLib strings.

## Constructor & Destructor Documentation

PwxString::PwxString | ( |  | ) |
| inline

PwxString::PwxString | ( | const wxString & | str | ) |
| inline

PwxString::PwxString | ( | const char * | str | ) |
| inline

PwxString::PwxString | ( | const PString & | str | ) |
| inline

PwxString::PwxString | ( | const PFilePath & | fn | ) |
| inline

## Member Function Documentation

PwxString::operator PFilePath | ( |  | ) | const
| inline

PwxString::operator PString | ( |  | ) | const
| inline

bool PwxString::operator!= | ( | const char * | other | ) | const
| inline

bool PwxString::operator!= | ( | const wxString & | other | ) | const
| inline

bool PwxString::operator!= | ( | const PString & | other | ) | const
| inline

bool PwxString::operator!= | ( | const PwxString & | other | ) | const
| inline

PwxString& PwxString::operator<< | ( | const char * | str | ) |
| inline

PwxString& PwxString::operator<< | ( | const PString & | str | ) |
| inline

PwxString& PwxString::operator= | ( | const char * | str | ) |
| inline

PwxString& PwxString::operator= | ( | const wxString & | str | ) |
| inline

PwxString& PwxString::operator= | ( | const PString & | str | ) |
| inline

bool PwxString::operator== | ( | const char * | other | ) | const
| inline

bool PwxString::operator== | ( | const wxString & | other | ) | const
| inline

bool PwxString::operator== | ( | const PString & | other | ) | const
| inline

bool PwxString::operator== | ( | const PwxString & | other | ) | const
| inline

PString PwxString::p_str | ( |  | ) | const
| inline

## Friends And Related Function Documentation

ostream& operator<< | ( | ostream & | stream,
|  | const PwxString & | string
| ) |  |
| friend

wostream& operator<< | ( | wostream & | stream,
|  | const PwxString & | string
| ) |  |
| friend

The documentation for this class was generated from the following file:

- wxstring.h